petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPseudoSetVerifyTimeStep

Sets a user-defined routine to verify the quality of the last timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetVerifyTimeStep(TS ts,PetscErrorCode (*dt)(TS,Vec,void*,PetscReal*,PetscBool*),void *ctx)

Logically Collective on TS Many br

### Input Parameters

| ts | - timestep context Many br
| dt | - user-defined function to verify timestep Many br
| ctx | - [optional] user-defined context for private data Many brfor the timestep verification routine (may be NULL) Many br

Many br

### Calling sequence of func

func (TS ts,Vec update,void *ctx,PetscReal *newdt,PetscBool *flag); - Many br
update -latest solution vector Many br
ctx -[optional] timestep context Many br
newdt -the timestep to use for the next step Many br
flag -flag indicating whether the last time step was acceptable Many br

### Notes

The routine set here will be called by TSPseudoVerifyTimeStep() Many brduring the timestepping process. Many br

### Keywords

timestep, pseudo, set, verify

### See Also

TSPseudoVerifyTimeStepDefault(), TSPseudoVerifyTimeStep()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages